### Method

# WebKit WebContext set_disk_cache_directory

deprecated: 2.10.

#### Declaration [src]

    void
    webkit_web_context_set_disk_cache_directory (
      WebKitWebContext* context,
      const gchar* directory
    )

#### Description [src]

Set the directory where disk cache files will be stored.

This method must be called before loading anything in this context, otherwise it will not have any effect.

Note that this method overrides the directory set in the `WebKitWebsiteDataManager`, but it doesn’t change the value returned by `webkit_website_data_manager_get_disk_cache_directory()` since the `WebKitWebsiteDataManager` is immutable.

Deprecated since: 2.10.

Use `webkit_web_context_new_with_website_data_manager()` instead.

#### Parameters

`directory`

  Type: `const gchar*`

  The directory to set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.